package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.location.GameDisplay;

public class Vampire extends Enemy
{
    public Vampire(int hp, int mp, String name) { super(hp, mp, name); }

    @Override
    public void specialAbility(Entity target)
    {
        if(getMp() >= 8)
        {
            super.specialAbility(target);
            System.out.println(GameDisplay.CYAN + "The Vampire strikes with a powerful bite! 🦷" + GameDisplay.RESET);
            target.takeDamage(10);
            this.setMp(this.getMp() - 8);
        }
        else System.out.println(GameDisplay.RED + "Vampire does not have enough MP for special ability." + GameDisplay.RESET);
    }
}